Bater Ponto (Funcionário)
curl --request POST \
--url https://api-hml.ponto-on.com/registropontos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endereco": "Rua teste da silva",
"funcionarioId": 1
}
'import requests
url = "https://api-hml.ponto-on.com/registropontos"
payload = {
"endereco": "Rua teste da silva",
"funcionarioId": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endereco: 'Rua teste da silva', funcionarioId: 1})
};
fetch('https://api-hml.ponto-on.com/registropontos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSolicitar": null,
"funcionario": {
"ativo": true,
"cargo": "Desenvolvedor fraco",
"cidade": null,
"clt": false,
"codeMatricula": null,
"codeVerify": "$2a$12$IS5m4zyqfAJtISiXGiGiQeuAMHw4LFutmCBpCrtZwklcCkXLfVY1a",
"cpfcnpj": "123.456.789-01",
"dataAdmissao": null,
"dataNascimento": "1990-01-01T00:00:00.000Z",
"deviceToken": null,
"email": "funcionario@email.com",
"endereco": "Rua Gumercindo Pereira dos Santos",
"fotoProfile": null,
"horarioTrabalho": 9,
"id": 1,
"nispis": null,
"nome": "teste dos testes",
"pj": false,
"registrosPonto": [
{
"dataSolicitar": null,
"horarioRegistro": "2024-02-12T05:20:29.000Z",
"houveReajuste": null,
"id": 46,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "aprovado automaticamente",
"tipo": "almoço"
},
{
"dataSolicitar": "2024-02-12T17:00:00.000Z",
"horarioRegistro": "2024-02-12T01:53:58.000Z",
"houveReajuste": true,
"id": 45,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": "Esqueci de registrar",
"status": "ajuste aprovado pela empresa",
"tipo": "entrada"
}
],
"role": "funcionario",
"sentimento": "Neutro",
"sobreaviso": false,
"telefone": "31996745309",
"uf": null,
"valorHora": null
},
"horarioRegistro": "2024-02-12T05:40:24.000Z",
"houveReajuste": null,
"id": 47,
"localizacao": "-8.9999999, -35.999999",
"motivoAjuste": null,
"status": "aprovado automaticamente",
"tipo": "retorno almoço"
}Endpoint para Funcionários
Bater Ponto (Funcionário)
Bater Ponto (Funcionário)
POST
/
registropontos
Bater Ponto (Funcionário)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Show child attributes
Show child attributes
Example:
"2024-02-12T05:40:24.000Z"
Example:
47
Example:
"-8.9999999, -35.999999"
Example:
"aprovado automaticamente"
Example:
"retorno almoço"